GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions | Variables
channel_stack.c File Reference
`#include "src/core/channel/channel_stack.h"`
`#include <grpc/support/log.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Macros
#define | ROUND_UP_TO_ALIGNMENT_SIZE(x) (((x) + GPR_MAX_ALIGNMENT - 1) & ~(GPR_MAX_ALIGNMENT - 1))
#define | CHANNEL_ELEMS_FROM_STACK(stk)
#define | CALL_ELEMS_FROM_STACK(stk)

## Functions
size_t | grpc_channel_stack_size (const grpc_channel_filter **filters, size_t filter_count)
grpc_channel_element * | grpc_channel_stack_element (grpc_channel_stack *channel_stack, size_t index)
grpc_channel_element * | grpc_channel_stack_last_element (grpc_channel_stack *channel_stack)
grpc_call_element * | grpc_call_stack_element (grpc_call_stack *call_stack, size_t index)
void | grpc_channel_stack_init (const grpc_channel_filter **filters, size_t filter_count, grpc_channel *master, const grpc_channel_args *args, grpc_mdctx *metadata_context, grpc_channel_stack *stack)
void | grpc_channel_stack_destroy (grpc_channel_stack *stack)
void | grpc_call_stack_init (grpc_channel_stack *channel_stack, const void *transport_server_data, grpc_transport_stream_op *initial_op, grpc_call_stack *call_stack)
void | grpc_call_stack_destroy (grpc_call_stack *stack)
void | grpc_call_next_op (grpc_call_element *elem, grpc_transport_stream_op *op)
char * | grpc_call_next_get_peer (grpc_call_element *elem)
void | grpc_channel_next_op (grpc_channel_element *elem, grpc_transport_op *op)
grpc_channel_stack * | grpc_channel_stack_from_top_element (grpc_channel_element *elem)
grpc_call_stack * | grpc_call_stack_from_top_element (grpc_call_element *elem)
void | grpc_call_element_send_cancel (grpc_call_element *cur_elem)

## Variables
int | grpc_trace_channel = 0

## Macro Definition Documentation

#define CALL_ELEMS_FROM_STACK | ( |  | stk | ) |

Value:
((grpc_call_element *)((char *)(stk) + \
ROUND_UP_TO_ALIGNMENT_SIZE(sizeof(grpc_call_stack))))
ROUND_UP_TO_ALIGNMENT_SIZE
#define ROUND_UP_TO_ALIGNMENT_SIZE(x)
Definition: channel_stack.c:59
grpc_call_stack
Definition: channel_stack.h:141
grpc_call_element
Definition: channel_stack.h:124

#define CHANNEL_ELEMS_FROM_STACK | ( |  | stk | ) |

Value:
((grpc_channel_element *)((char *)(stk) + ROUND_UP_TO_ALIGNMENT_SIZE( \
sizeof(grpc_channel_stack))))
grpc_channel_stack
Definition: channel_stack.h:132
ROUND_UP_TO_ALIGNMENT_SIZE
#define ROUND_UP_TO_ALIGNMENT_SIZE(x)
Definition: channel_stack.c:59
grpc_channel_element
Definition: channel_stack.h:116

#define ROUND_UP_TO_ALIGNMENT_SIZE | ( |  | x | ) | (((x) + GPR_MAX_ALIGNMENT - 1) & ~(GPR_MAX_ALIGNMENT - 1))

## Function Documentation

void grpc_call_element_send_cancel | ( | grpc_call_element * | cur_elem | ) |

char* grpc_call_next_get_peer | ( | grpc_call_element * | elem | ) |

void grpc_call_next_op | ( | grpc_call_element * | elem,
|  | grpc_transport_stream_op * | op
| ) |  |

void grpc_call_stack_destroy | ( | grpc_call_stack * | stack | ) |

grpc_call_element* grpc_call_stack_element | ( | grpc_call_stack * | call_stack,
|  | size_t | index
| ) |  |

grpc_call_stack* grpc_call_stack_from_top_element | ( | grpc_call_element * | elem | ) |

void grpc_call_stack_init | ( | grpc_channel_stack * | channel_stack,
|  | const void * | transport_server_data,
|  | grpc_transport_stream_op * | initial_op,
|  | grpc_call_stack * | call_stack
| ) |  |

void grpc_channel_next_op | ( | grpc_channel_element * | elem,
|  | grpc_transport_op * | op
| ) |  |

void grpc_channel_stack_destroy | ( | grpc_channel_stack * | stack | ) |

grpc_channel_element* grpc_channel_stack_element | ( | grpc_channel_stack * | channel_stack,
|  | size_t | index
| ) |  |

grpc_channel_stack* grpc_channel_stack_from_top_element | ( | grpc_channel_element * | elem | ) |

void grpc_channel_stack_init | ( | const grpc_channel_filter ** | filters,
|  | size_t | filter_count,
|  | grpc_channel * | master,
|  | const grpc_channel_args * | args,
|  | grpc_mdctx * | metadata_context,
|  | grpc_channel_stack * | stack
| ) |  |

grpc_channel_element* grpc_channel_stack_last_element | ( | grpc_channel_stack * | channel_stack | ) |

size_t grpc_channel_stack_size | ( | const grpc_channel_filter ** | filters,
|  | size_t | filter_count
| ) |  |

## Variable Documentation

int grpc_trace_channel = 0